Package com.zfabrik.util.logging

## Class NodeFileHandler

- java.lang.Object
- - java.util.logging.Handler
  - - java.util.logging.StreamHandler
    - - java.util.logging.FileHandler
      - - com.zfabrik.util.logging.NodeFileHandler

-     public class NodeFileHandler
      extends java.util.logging.FileHandler

  This modification of the JUL file handler prepends a node name (home, or worker process component name) to the file handler's file pattern.

  Otherwise it is a drop-in replacement for `FileHandler`. That is, all configurations apply but instead of using the prefix `java.util.logging.FileHandler` you use the prefix `com.zfabrik.util.logging.NodeFileHandler`. For example, in order to set a formatter, use `com.zfabrik.util.logging.NodeFileHandler.formatter`.

  Author:
    hb

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeFileHandler()` | This constructor assumes all config from the `LogManager`
    `NodeFileHandler​(java.lang.String pattern)` | This constructor takes append from the `LogManager` and defaults to 0 and 1 for limit and count resp.
    `NodeFileHandler​(java.lang.String pattern, boolean append)` | This constructor defaults to 0 and 1 for limit and count resp.
    `NodeFileHandler​(java.lang.String pattern, int limit, int count)` | This constructor takes append from the `LogManager`.
    `NodeFileHandler​(java.lang.String pattern, int limit, int count, boolean append)` | Full-configuration constructor

  - ### Method Summary

    - ### Methods inherited from class java.util.logging.FileHandler

      `close, publish`

    - ### Methods inherited from class java.util.logging.StreamHandler

      `flush, isLoggable, setEncoding, setOutputStream`

    - ### Methods inherited from class java.util.logging.Handler

      `getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeFileHandler

          public NodeFileHandler()
                          throws java.io.IOException,
                                 java.lang.SecurityException

      This constructor assumes all config from the `LogManager`
      Throws:
        `java.io.IOException`
        `java.lang.SecurityException`

    - #### NodeFileHandler

          public NodeFileHandler​(java.lang.String pattern)
                          throws java.io.IOException,
                                 java.lang.SecurityException

      This constructor takes append from the `LogManager` and defaults to 0 and 1 for limit and count resp.
      Throws:
        `java.io.IOException`
        `java.lang.SecurityException`

    - #### NodeFileHandler

          public NodeFileHandler​(java.lang.String pattern,
                                 boolean append)
                          throws java.io.IOException,
                                 java.lang.SecurityException

      This constructor defaults to 0 and 1 for limit and count resp.
      Throws:
        `java.io.IOException`
        `java.lang.SecurityException`

    - #### NodeFileHandler

          public NodeFileHandler​(java.lang.String pattern,
                                 int limit,
                                 int count)
                          throws java.io.IOException,
                                 java.lang.SecurityException

      This constructor takes append from the `LogManager`.
      Throws:
        `java.io.IOException`
        `java.lang.SecurityException`

    - #### NodeFileHandler

          public NodeFileHandler​(java.lang.String pattern,
                                 int limit,
                                 int count,
                                 boolean append)
                          throws java.io.IOException,
                                 java.lang.SecurityException

      Full-configuration constructor
      Throws:
        `java.io.IOException`
        `java.lang.SecurityException`